Overview

SetupIML lets you create customised setup files, containing all the details which Windmill software needs to configure your data acquisition hardware.

With SetupIML you can:

  • View the modules and channels available in the hardware

  • Choose which channels are involved in the current setup

  • Give names to the channels

  • Select the measurement type, range, data format and so on for channels

  • Set alarms for channels

  • Set engineering unit conversion

When you first load SetupIML it interrogates your hardware and builds a default setup file. You can then edit this file, tailoring the system to your needs. The files are later recalled by other Windmill applications such as Logger and Chart.


Opening a set-up file when starting SetupIML

When you start SetupIML the Open Setup dialogue box appears. This lets you do one of three things:

  1. Load a setup file, that you have previously created, from disk.
  2. Create a new setup file from the default settings ready for editing - select this option if you are using SetupIML for the first time.
  3. Select a setup file that you have already loaded during this session.


Creating a new set-up from the defaults

To create a new default setup file

  1. Select the File menu and choose Open.
  2. Select Create new setup and press OK.
  3. You now have to give the new setup a name. Type your choice into the box.
  4. You can also type a short description of the file, which will be displayed in the Open Setup dialogue box. You can change or add this description later if you wish.

Once you have named the setup and pressed OK, SetupIML will interrogate the data acquisition hardware and build a default setup ready for editing. It lists all the channels in the first device or instrument, identifying each with a five figure number.

If you don't want to edit the default settings and want to use the setup file as it is, just save and then close the file. It can now be used by your Windows applications.

Note, for high speed sampling with Streamer you should make sure the low pass filter is turned off, and auto-ranging not selected. These reduce Streamer's speed.


Selecting a set-up file that you have already opened

When you select a setup file that you have already opened, the SetupIML main window appears and you can go on to view and modify the settings. (Note that you may not be able to edit a setup file whilst it is in use by other applications.)


Loading a set-up file from disk

If you choose to load a setup file from disk, a window opens listing all the setup files (those with the extension .ims) in the current directory. Select a file the main window opens.

You can now view and edit the settings.


Selecting a Device

If you have more than one device in your hardware select which one you want to view.

When you first load SetupIML it shows details of the modules and channels of the first device, device 0. This might be the Software Signal Generator for example. To view or configure one of the others select it from the Device menu. The main window will be updated with details of the new device. The Device box (in the top left hand corner of the main window) confirms the current selection.

Alternatively double-click the Device box to step through the available devices.

If the list of devices is incomplete, you need to re-run the ConfIML program.

Although only one device at a time can be shown in the window, operations such as Open, Save and Close work on all devices simultaneously, regardless of which one is currently shown.


Configuring a Channel

You can customise each channel's configuration, changing such things as its name, range and engineering units.

  1. Make sure you are in Configure Channels mode - if not either double-click the Mode box, or choose Configure Channels from the Mode menu.
  2. Now select a channel to configure, either by double-clicking it or using the cursor keys and pressing return.

The configuration box for the selected channel pops up. There are 4 types of configuration boxes, two of which are used by Windmill:

  • an analogue box for analogue channels and
  • a digital box for digital channels.

The other two (the primary and secondary scan boxes) are only used by Streamer applications with appropriate hardware.


Attaching a Description to the File

You can edit the description you specified when you named the setup file (or add one if you haven't already done so).

  1. Select Description from the main menu or double-click the Description box (above the channel numbers in the main window).
  2. Type a description into the edit box and press OK. The new description is displayed in the main window, and saved with the setup file.


Excluding Channels

When two or more Windmill systems are running concurrently on the same computer and sharing the same hardware, you may want to use a partial setup. A partial setup controls only a subset of the channels in the hardware. (Don't exclude channels if you just want to disable them from the current setup, instead use the appropriate configure channel dialogue box.)

  1. To exclude channels use the Mode menu to go into Select Channels mode (or double-click the Mode box).
  2. Use the arrow keys to highlight the channel and press Return, or double-click the mouse over the channel. This will toggle between included and excluded.

Channels included in the setup are shown in black whilst those excluded are in grey.

You can only go into Select Channels mode when there aren't any other Windmill applications loaded and running.


Saving a Setup File

To save the details select the File menu and choose Save.

To save the file under a different name choose Save as. Type a name, with an .ims extension, into the File Name box and on selecting OK the details will be stored in this setup file in the current directory.

To save the file in a different directory use the Drives and Directories list boxes, or type the drive, directory and name directly into the file name box.


Closing a Setup File

To close the current file but remain in SetupIML select Close from the File menu.

If you have saved all the changes the main window empties and your Windmill applications can use the setup file.

If you've made changes to your current file but haven't saved them, when you select Close you will be asked if you want to save the changes. If you answer Yes then the Save As dialogue box appears. If you answer No then the changes will be lost.

You can also close the file by minimising the SetupIML window to an icon, allowing your programs to use the setup. When you restore the window the same file will be automatically reopened, if it is not in use by some other program.


Opening a New Setup File

To open a new file first close the current file by selecting Close from the File menu.

Then select Open from the File menu to bring up the Open Setup dialogue box.


Closing SetupIML

To close SetupIML select Exit from the File menu. If you've saved all your changes the window closes. If you've made changes but haven't saved them, however, a message box appears. This gives you the option to save your changes and exit, abandon your changes and exit, or cancel the exit and continue with SetupIML.


Configuring an Analogue Channel

These are the settings you can change for analogue input and output channels.

Channel Name
Measurement / Transducer
Input Range / Mode
Low-pass Filter
Settling Time
Usage
Engineering Units
Alarms button
Copy button
Special button
Zero button
Default button


Naming an Analogue Channel

The channels are originally named according to the device, module and channel numbers, but you can rename them to something more useful.

In the Analogue Channel box erase the current name and type in a new one. The name can be any combination of letters, numbers and underscores. No other characters are allowed.


Setting the Type of Measurement or Transducer

The current setting is shown in the Measurement / Transducer box in the Analogue Channel box. Choose a different setting if necessary.

The list contains only those measurement types (such as voltage, resistance or frequency) and only those transducer types (such as thermocouple types or strain bridge configurations), that the channel supports.

Altering the selected measurement or transducer type will reset the other settings to suitable values, so you should set this before the other controls.


Setting the Engineering Units

Windmill Software applications display values in engineering units. The standard units depend on the type of measurement, for example degrees Celsius for temperature. If you wish, for measurements other than strain, the values can be scaled to any other units that are linearly proportional to the standard units. This uses the formula:

New Engineering Units = Scale x Standard Units + Offset

For example, you can display temperatures in Fahrenheit by setting scale = 1.8 and offset = 32, or voltages in millivolts by setting scale = 1000 and offset = 0.

To change the engineering units: in the Analogue Channel box erase the name of the current units and type in the name of the new units. The name can be any combination of letters, numbers, underscores, backslashes and percentage signs. For example revs/min or %full.

Now type in the scale and offset needed to convert the standard units to the new units.

The maximum and minimum values possible with the current scaling factors and range are displayed when you move the focus - for example by pressing the tab key. If no maximum or minimum values are shown then your hardware can't supply this information.

When measuring strain, the values are always in microstrain. In the area normally used for scale and offset you should enter the gauge factor of the gauge in use, and, if transverse as well as normal strain is being measured, Poisson's ratio for the material under test. These are required to calculate the answer in microstrain. If only normal strain is being measured, Poisson's ratio is not required. You can also use the zeroing facility to balance the strain gauge bridge.


Enabling an Analogue Channel for Input or Output

The Usage part of the Analogue Channel box lets you set the direction of the channel: input, output, input and output or neither.

To disable a channel set both Input and Output to off. Applications will then not be able to receive data from this channel or send data to it.

You may want to read values back from an output channel, for example to log output changes. Similarly some input channels may need to be outputs in certain circumstances, for example to reset counters. In these cases set both Input and Output to on.


Setting the Analogue Input Range

Setting the Analogue Range

You can select the range for some channels. If this is the case for your hardware then range is shown in the Analogue Channel box by the Input Range / Mode. Choose a different range from the drop-down list if you wish.

For greatest accuracy you should select the smallest range that encompasses your signals. If you are using Streamer software don't pick automatic ranging; this takes time and is too slow for Streamer.


Setting the Settling Time

The settling time is the time allowed for the hardware to settle between readings.

Increasing the settling time may produce a more accurate reading, especially for small signals or signals from high impedance sources. However, the software will run more slowly. Conversely, the software will run more quickly with a short settling time, but the accuracy might suffer, especially if the low-pass filter turned on or the signal source impedance is high.

To change the settling time erase the current value from Analogue Channel box and type in a new one. If this control is disabled and shown in grey, you cannot change the settling time for this channel.


Filtering an analogue input signal

Filtering an Analogue Signal

The filter limits the frequency response of input channels and so reduces the effect of high frequency noise. If you use the filter you need a settling time of at least 3 ms.

On channels where there is no optional filter the setting is disabled and shown in grey.


Setting Alarms on Analogue Channels

You can set 2 alarm thresholds for each input channel and choose whether to output a digital signal when a channel goes into alarm.

Press the Alarm button in the Analogue Channel box and fill in the Alarms dialogue.

Note that every alarm condition you define uses some memory and requires processing time to continually check whether the condition is true or false. To optimise performance you should only enable alarms where needed.

If the Alarm button is disabled then either your hardware or your software driver does not support alarms.

Related topics:

Alarms


Copying Analogue Settings

Press the Copy button in the Analogue Channel box to copy selected settings to higher numbered channels. If SetupIML finds a channel that cannot support the settings, copying will stop with an explanatory message.


Zeroing Strain Gauge Bridges

Use the Zero button when you're monitoring strain gauge bridges on hardware with an offset balancing feature. (It is labelled "Special" on other types of hardware.)

The output from unstrained bridges can be large in comparison to the changes that would be caused by strain. This requires a wide voltage range, the changes consequently being measured with poor resolution. The zeroing facility, however, solves this problem.

  1. Select the input range that covers the expected change in bridge output that will be caused by strain during the measuring period.
  2. Press the "Zero" button, which calls up a dialogue box
  3. Press "Set New Zero" in the dialogue. This subtracts a suitable voltage from the input signal to make the bridge output read approximately zero. This subtraction will remain in force until this dialogue is invoked again to alter it; so all future readings are as changes relative to the new zero level.

The voltage subtracted is actually a fraction of the bridge excitation voltage, so changes in the excitation do not affect the balance. The dialogue box shows what fraction of excitation is being used to balance output.

Changing the input range can invalidate the zeroing: if you change the range make sure you re-zero the bridge.

When you are using the input channel for simple voltage measurement, or you need absolute values, press the "Disable" button in the zeroing dialogue. This will leave input voltages unchanged and you can see the true input signal.


Setting Special Hardware Features

If the button at the bottom left of the Analogue Channel box is labelled "Special" and is active (not greyed), then the driver for your hardware allows you to access unique features.

Pressing the Special button brings up a list of options. These options, and the way you use them, depends on the type of hardware you have installed.

You may either pick a command from the list or type it directly into the Special Command box, adding parameters where appropriate. Press the Execute button to send the command - the response will be displayed. Press the Close button to return to the Analogue Channel box.


Returning to the Default Analogue Settings

To return to the default settings, and cancel all the settings you have entered, select the Default button in the Analogue Channel box.


Configuring a Digital Channel

These are the settings you can change for digital input and output channels.


Naming a Digital Channel

The channels are originally named according to the device, module and channel numbers, but you can rename them to something more useful.

In the Digital Channel box erase the current name and type in a new one. The name can be any combination of letters, numbers and underscores. No other characters are allowed.


Setting Alarms on Digital Channels

You can set either state of a digital input to trigger an alarm. Choose one of three options from the Alarm box:

  • No alarm,
  • Alarm when zero,
  • Alarm when non-zero.

If you choose an alarm setting then it must have a name. By default it will be allocated from the channel number, for example DIG_00312. You can change this by erasing it and typing in a new name of up to 12 letters, numbers and underscores.

Note that every alarm condition you define uses some memory and requires processing time to continually check whether the condition is true or false. To optimise performance, therefore, only enable alarms where needed.

If the Alarm button is disabled (shown in grey) then either your hardware or your driver software does not support alarms.


Enabling a Digital Channel for Input or Output

The Usage part of the Digital Channel box lets you set the direction of the channel: input, output, input and output or neither.

To disable a channel set both Input and Output to off. Applications will then not be able to receive data from it or send data to it.

You may want to read values back from an output channel, for example to log output changes. In this case set both Input and Output to on.


Simultaneously Switching or Reading Several Digital Channels

Each digital channel (or line) is initially set to on or off by a single bit. It is therefore said to be 1 bit wide. This means that the state of the channels will be set, or read, individually.

You might, however, want to switch several channels at the same time - for example to open or close 4 relays at the same instant. In this case specify the channel width to be 4 bits. All 4 relays will be controlled by a single value rather than by 4 separate ON/OFF values. In binary the value would be from 0000 to 1111, in decimal from 0 to 15.

The digital input lines that are being grouped together must be arranged consecutively.

To change the width just select the required number of bits from the list in the Digital Channel box. Only workable options are available.

When a channel is multi-bit then all settings are set for the channel as a whole using the first in a group, rather than for individual lines. The other lines within a group cannot be individually accessed and the name of digital state settings are disabled.


Naming the Two Digital States

You can give brief names to the digital states of 1-bit wide channels. By default they are named On and Off - corresponding to values of 1 and 0. To change this just erase On and Off in the Digital Channel box and type in your selection - High and Low, for instance, or Open and Shut. The names can be up to 5 characters long.

When a channel is multi-bit the Name of state settings are disabled (shown in grey).


Setting the Format of Digital Data

When the channel width is greater than 1 you can choose in which format you wish to transmit data: binary, hexadecimal or decimal. For a channel width of 1 data is always transmitted as 1 for on and 0 for off.

For example: A channel has a width of four bits. The first two lines are off and the other two lines on. In binary this would be "1100", in decimal "12" and in hexadecimal "C".


Copying digital channels

Copying Digital Settings

Press the Copy button in the Digital Channel box to copy selected settings to higher numbered channels. If SetupIML finds a channel that cannot support the settings, copying will stop with an explanatory message.


Returning to the default digital channels

Returning to the Default Digital Settings

To return to the default settings, and cancel all the settings that you have entered, select the Default button in the Digital Channel box.


Overview of the High Speed Clock Channels

(This section only applies to Streamer software used with Microlink hardware. Please ignore all high speed clock topics if you are using other software or hardware.)

The Microlink 3070 module and Microlink 770 USB unit sample the analogue input channels in a high speed scan. You generally use them with Streamer - software that streams data to disk at high speed.

You should disable all analogue channels that you don't need (by means of their Usage check boxes) to maximise scan speed and reduce the volume of data collected.

Microlink 770

The Microlink 770 unit always samples by simple multiplexing and has a primary clock channel.

Microlink 3070

In the main window the 3070 is shown as having 2 channels - a primary channel and a secondary channel. The primary and secondary channels each control a group of analogue input channels, and the 3070 samples each group in a particular way.

The 3070 module has 3 methods of sampling:

  1. by simple multiplexing, where all input channels are sampled at regular intervals,
  2. by a dual time base,
  3. by a split settling time.

Normally method 1 is used.


Using the Primary Clock Channel

(This section only applies to Streamer software used with Microlink hardware)

When the primary clock channel is enabled, the high speed facilities are available. You should disable all channels that you don't need, using the Enable for Input check box on the channel dialogue boxes, to maximise scan speed and reduce the volume of data collected.

When you select the primary clock channel the Primary Scan dialogue appears. Use this to set the clock and timing options. When you've finished select OK to accept the changes.


Clock source of a primary clock channel

Clock Source

(This section only applies to Streamer software used with Microlink hardware)

The clock source that initiates scans can be either internal or external. If internal the Microlink takes scans at a rate specified by the Scan Interval. If external, a scan is performed at each active edge occurring at the clock input of the 3070 or 770.

To select the clock source just click the relevant button in the Primary Scan dialogue box. (Unlike many other of your choices in SetupIML, you cannot change the clock source from within Streamer.)


Scan interval and scan frequency of a primary clock channel

Scan Interval and Scan Frequency

(This section only applies to Streamer software used with Microlink hardware)

The scan interval is the time between the start of one scan and the start of the next scan. To change the scan interval erase the current value and type in a new one in milliseconds.

Alternatively you may specify the scan interval in terms of scan frequency, which is the number of scans taken each second. Both values are displayed in the Primary Scan dialogue box and changing either one will cause the other to be recalculated.

You can also use Streamer to choose new scan timings.


Channel interval of a primary clock channel

Channel Interval

(This section only applies to Streamer software used with Microlink hardware)

The channel interval is the time between sampling on channel and the next during a high speed scan. To change the channel interval erase the current value and type in a new one (in milliseconds). The channel interval must be small enough to allow all enabled analogue channels to be read within the time allowed for each scan.

When using the 3070 or 770 to collect data, the channel interval replaces the settling time specified for channels in the Analogue dialogue box. Increasing the channel interval may produce a more accurate reading, especially for signals of different sizes, however the maximum scan rate is reduced.

You can also use Streamer to choose a new channel interval.


Number of scans of a primary clock channel

Number of Scans

(This section only applies to Streamer software used with Microlink hardware)

One way of stopping sampling is to specify the number of high speed scans required, after which data collection will stop. You can use this method regardless of whether sampling was started by an external or internal trigger. To change the number of scans erase the current value and type in a new one.

You can also use Streamer to stop sampling.


Trigger source of a primary clock channel

Trigger Source

(This section only applies to Streamer software used with Microlink hardware)

Data acquisition starts when the Microlink receives a trigger. The trigger can be a software trigger. In this case sampling begins either when you select Start from Streamer, or when a specified input crosses a chosen threshold (set in Streamer). Alternatively you can select an external trigger. Sampling then starts from a logic pulse derived from some external event connected to the Microlink. (See the Microlink Hardware Manual for details of connecting an external trigger.)

To select the trigger source just click the relevant button in the Primary scan dialogue box.

The 3070 has two extra trigger options which are not available on the 770: multiple triggering and level controlled triggering.

A multiple trigger source allows a specified number of scans to be performed on each trigger pulse, with sampling stopping after the required amount. Sampling restarts when the next external trigger is received. If you select Multiple External triggers then you also need to specify the number of Scans on each trigger. To do this erase the current value and type in a new one.

A level controlled trigger means that sampling will only occur when the trigger signal is at a set level, defined in hardware. When the trigger input crosses the level threshold sampling will stop at the end of the current scan. It will restart if the input returns to the required level, giving gated data acquisition.


Using the Secondary Clock Channel

(This section only applies to Streamer software used with Microlink 3070 hardware)

The secondary channel of the 3070 can be used for sampling with either a dual time base or a split settling time. Both these modes divide the enabled analogue inputs into primary and secondary groups, which are then treated differently.

A dual time base means that one group of analogue channels is sampled in every scan (the primary scan), whilst another group of channels is sampled only every nth scan (the secondary scan).

Alternatively you could set a split settling time, where the primary and secondary channels are sampled at different rates. This allows slow and fast settling inputs to be mixed together without the need to sample them all at the slowest speed.

By default all enabled analogue input channels are in the primary scan. It's from the primary channel's dialogue box that you set the basic parameters such as clock source, trigger source and number of scans. After you have set these parameters you can define the secondary scan information.

When you select the 3070 secondary channel a dialogue box appears. Use this to define the secondary channel. When you've finished select OK to accept the changes or cancel to leave things as they were. The dialogue box will disappear and you will be back at the main window.

{button ,AL(A_Sec)} Related Topics


Secondary Scan Starts at which Channel?

(This section only applies to Streamer software used with Microlink 3070 hardware)

The top section of the secondary scan dialogue box shows which channels are in the primary scan and which in the secondary. Type the number of the 1st analogue channel you want to be in the secondary scan into the channel edit box. This and all channels after it will in the secondary scan.


Not in Use: Turning off the Secondary Scan

(This section only applies to Streamer software used with Microlink 3070 hardware)

You can turn the secondary scan off, and so simply multiplex all the channels, by selecting the Not in Use button.


Dual time base on the secondary clock channel

Dual Time Base

(This section only applies to Streamer software used with Microlink 3070 hardware)

A dual time base is where one group of analogue channels is sampled in every scan (the primary scan), whilst another group of channels is sampled only every nth scan (the secondary scan).

If you require a dual time base select the Dual time base button. Now type the number of primary scans you require in-between secondary scans into edit box provided.


Split settling time on the secondary clock channel

Split Settling Time

(This section only applies to Streamer software used with Microlink 3070 hardware)

A split settling time is where the primary and secondary analogue channels are sampled at different rates. This allows slow and fast settling inputs to be mixed together without the need to sample them all at the slowest speed.

If you require a split settling time, select the relevant button. Now type in the channel interval necessary for the secondary scan. Either the primary channel interval or the secondary may be the larger, but the larger of the two must be an exact multiple of the smaller.


Commands

File menu

Open

Save

Save As

Close

Exit

Device menu

Mode menu

Select Channels

Configure Channels

Description menu


File Menu

Open

Opens a new setup file.

Related topics:

Opening a new setup file

Save

Saves the setup file under its current name.

Related topics:

Saving a setup file

Save As

Saves the setup file under a new name.

Related topics:

Saving a setup file

Close

Closes the current setup file which can then be used by your application.

Related topics:

Closing a setup file

Exit

Closes SetupIML.

Related topics:

Closing SetupIML


Device Menu

Lets you select which device you want to be displayed in the main window.

Related topics:

Selecting a device


Mode Menu

SetupIML has 2 modes of operation, Configure Channels mode and Select Channels mode. This menu lets you swap between modes.

Configure Channels

In this mode you can configure the channels, choosing their names, ranges and so on.

Select Channels

In this mode you can select which channels are to be excluded from the setup - creating a partial setup.

The current mode is shown in the Mode box in the main window.

Related topics:

Configuring a channel

Excluding channels


Description Menu

Lets you specify a description to be saved with the setup file, or change any existing description.

Related topics:

Attaching a description to the file


Keyboard

To select a channel:

Mouse

Double-click your choice.

Moving the highlight off the edge of the display scrolls the window.

Keyboard

Use the cursor keys to highlight your choice and then press the Return (or Enter) key.

Keyboard short cut keys when selecting channels:

Home
Jumps to top left hand corner of current display
End
Jumps to bottom right hand corner of current display
Ctrl Home
Jumps to first channel
Ctrl End
Jumps to last channel

To make a selection from a list box:

Mouse

Click on the arrow at the end of the list box.

Click on your selection.

Keyboard

Press Alt+Up or Alt+Down to display the list of items.

Press the Up or Down arrow to move to the next or previous item in the list box.

Press Alt+Up or Alt+Down again to close the list.


Procedures Summary

General procedures

Attaching a description to the file

Opening a setup file when starting SetupIML

Opening a new setup file

Selecting a device

Configuring a channel

Excluding channels

Saving a setup file

Closing a setup file

Closing SetupIML

Procedures with an analogue channel

Double click an analogue channel to call up the analogue dialogue box.

Naming channels

Setting the type of measurement or transducer

Setting the analogue range

Setting the low-pass filter

Setting the settling time

Setting the channel direction

Setting the engineering units

Setting alarms on analogue channels

Copying settings

Zeroing (balancing) a strain gauge bridge

Setting special hardware features

Returning to the default settings

Procedures with a digital channel

Double click a digital channel to call up the digital dialogue box.

Naming channels

Setting and naming alarms on digital channels

Setting the channel direction

Setting the channel width

Naming the two digital states

Setting the data format

Copying settings

Returning to the default settings

Procedures with a primary clock channel

Double click on a primary clock channel to call up the primary clock dialogue box. (Used only with Streamer software.)

Using the primary clock channel

Setting the clock source

Setting the scan interval

Setting the channel interval

Setting the number of scans

Setting the trigger source

Procedures with a secondary clock channel

Double click on a secondary clock channel to call up the secondary clock dialogue box. (Used only with Streamer software.)

Using the secondary clock channel

Selecting which analogue channels are included in the secondary scan

Turning off the secondary scan

Setting a dual time base

Setting a split settling time


Windmill

Contacting Windmill

Windmill Software,
PO Box 58,
North District Office,
Manchester,
M8 8QR,
UK
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Streamer

Streamer is waveform capture, charting and review software for Windows. It lets you log data (temperature, strain, current, etc) at up to 100 kHz. You can set the speed of sampling from Streamer or from an external clock, and start scans from Streamer or from an external trigger.

Streamer works with Microlink high speed data acquisition hardware.

For more information on Streamer, or to download a free software demo, visit Windmill Software's web site at http://www.windmill.co.uk/.


Licence a Trial Copy of Windmill

Subscribers to our newsletter can download a fully-working, trial version of Windmill and the ComIML serial driver. This lets you collect data from almost any device which plugs into the PC's COM port. At the end of your trial, if you wish to keep using the software, you can purchase a release key for just £50 from our data acquisition shop. This will let you go on using your set-up indefinitely.

To obtain a release key:

  1. Run the Windmill ConfIML program and click the Software button.
  2. You will see a screen showing your software and a Request Key. Make a note of the Request Key.
  3. Go to the Windmill data acquisition shop and add Licence your trial version of Windmill to your shopping cart.
  4. During the checkout process you will be asked for your Request Key. Enter this.
  5. One of our team will send you back your Release Key. Enter this in the ConfIML Software Authorization screen you saw earlier. Your software will be re-enabled and you can continue to use it.

Thank you for using Windmill
http://www.windmill.co.uk/
http://www.windmillsoft.com/


Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

ConfIML - which creates a file holding details on which hardware devices are in your system

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Type of Alarm

To select a different type of alarm, (by default No Alarms), click the picture in the top left hand corner of the dialogue box to step through the 7 alarm options. Alternatively select the relevant text description.


Microlink Data Acquisition Hardware

Microlink

Microlink hardware is supplied by Biodata Ltd

10 Stocks Street
Manchester
M8 8QG
Telephone: +44 (0)161 834 6688
>E-mail: sales@microlink.co.uk
Web: http://www.microlink.co.uk/


(Untitled)

Primary channel interval

The primary channel interval is set in the Primary scan dialogue box. This appears when you double-click the primary clock channel whilst in Configure Mode.


Configuring the Primary Clock Channel

Here you can set the clock and timing options for high speed scans involving Microink 770 or 3070 hardware, and Streamer software.

Using the primary clock channel

Clock source

Scan interval and scan frequency

Channel interval

Number of scans

Trigger source


SetupIML Help Contents

Windmill SetupIML Help Contents

Getting Started and General Procedures

Overview

Opening a setup file when starting SetupIML

Creating a new setup from the defaults

Loading a setup file from disk

Selecting a setup file that you have already opened

Attaching a description to the file

Selecting a device

Configuring a channel

Excluding channels

Saving a setup file

Closing a setup file

Opening a new setup file

Closing SetupIML

Procedures with an Analogue Channel

Naming an analogue channel

Setting the type of measurement or transducer

Setting the analogue range

Filtering an analogue signal

Setting the settling time

Enabling an analogue channel for input or output

Setting the engineering units

Setting alarms on analogue channels

Copying analogue settings

Zeroing strain gauge bridges

Setting special hardware features

Returning to the default analogue settings

Procedures with a Digital Channel

Naming a digital channel

Setting alarms on digital channels

Enabling a digital channel for input or output

Simultaneously switching or reading several digital channels

Naming the two digital states

Setting the format of digital data

Copying digital settings

Returning to the default digital settings

Procedures with High Speed Clock Channels

Configuring the primary clock channel

Configuring the secondary clock channel

Keyboard and Command Summary

Commands

Keyboard

Procedures Summary


Cancel Alarm

You can choose to cancel alarms automatically when the channel reading passes the specified threshold, or to cancel manually from the Windmill Alarm Monitor program. If you don't have Alarm Monitor in your system this option will be greyed out. (Alarm Monitor is an optional, not standard, part of Windmill. For details contact Windmill Software Ltd.)


Zero

The output from unstrained bridges can be large in comparison to the changes that would be caused by strain. This requires a wide voltage range to be selected, the changes consequently being measured with poor resolution. The zeroing facility, however, solves this problem.

Before pressing the Zero button you should have selected the input range that covers the change in bridge output expected during the measuring period.

Set New Zero

Press "Set New Zero" to subtract a suitable voltage from the input signal to make the current bridge output read approximately zero. This subtraction will remain in force until the Strain Gauge Zeroing dialogue is invoked again to alter it, so all future readings are as changes relative to the new zero level.

The voltage subtracted is actually a fraction of the bridge excitation voltage, so changes in the excitation do not affect the balance. The fraction of excitations being used to balance output is displayed in the dialogue box.

Note that changing the input range can invalidate the zeroing, so you should re-zero the bridge after you change the range.

Disable

Press "Disable" when the input is being used for simple voltage measurement, or you need absolute values. This will leave input voltages unchanged and the true input signal can be observed.


Name of Alarm State

Enabled alarms must be given unique names. Default names will be allocated from the channel number and type of alarm, for example WARN_00205. You can change these if you wish to something more descriptive. Names can have up to 12 letters, numbers and underscores


Digital output

Digital Output on Alarm

You can choose to automatically switch a digital channel when the analogue channel goes into alarm. Three digital output options are available: None, Output high on critical alarm, Output low on critical alarm.

Output channel

If you choose a digital output option you must select a channel from the list of enabled digital outputs.

More than one alarm can be directed to the same digital output, providing they all use the same state on alarm - all set to High on Alarm or all set to Low on Alarm. In this case, one or more alarms will cause the output to go to the active state.


Configuring the Secondary Clock Channel

If you are using Microlink 3070 hardware, you can opt to use a dual time base or a split settling time. Both these modes divide the enabled analogue inputs into primary and secondary groups, which are then treated differently.

A dual time base means that one group of analogue channels is sampled in every scan (the primary scan), whilst another group of channels is sampled only every nth scan (the secondary scan).

With a split settling time the primary and secondary channels are sampled at different rates. This allows slow and fast settling inputs to be mixed together without the need to sample them all at the slowest speed.

Using the secondary clock channel

Secondary scan starts at which channel?

Not in use: Turning off the secondary scan

Dual time base

Split settling time


Trigger Alarm

Type your chosen alarm trigger thresholds into the relevant boxes.


(Untitled)

Windmill SetupIML Help
designed and written
by Jill Studholme
http://www.studholme.net/


Alarm dialogue

Alarms

Here you can set two alarm thresholds for the channel, and output a digital signal when the channel goes into alarm. Channels in alarm are highlighted in the other Windmill applications.

Type of alarm

Name of alarm state

Trigger Alarm

Cancel Alarm

Digital Output


Overview of the high speed clock channels - secondary channel

Overview of the High Speed Clock Channels

(This section only applies to Streamer software used with Microlink 3070 hardware)

In the main window the Microlink 3070 is shown as having 2 channels - a primary channel and a secondary channel. The primary and secondary channels each control a group of analogue input channels that the 3070 will sample in a particular way.

The 3070 module has 3 methods of sampling:

  1. By simple multiplexing, where all input channels are sampled at regular intervals. The secondary clock channel is not involved in simple multiplexing and so should be left disabled.
  2. By a dual time base which is specified by the secondary clock channel.
  3. By a split settling time which is specified by the secondary clock channel.

Normally method 1 is used.

The 770 always samples by simple multiplexing and so has only a primary clock channel. Other hardware will be without clock channels.

You should disable all analogue channels that you don't need (by means of the Usage check boxes on the analogue channel dialogue box) to maximise scan speed and reduce the volume of data collected.


Special

The Special dialogue box gives you access to special features unique to your IML hardware driver.

The list of options in the Special Commands dialogue box, and the way they are used, depends on the type of hardware you have installed - please check the manual section specific to your hardware for details.

You may either pick a command from the list or type it directly into the edit box, adding parameters where appropriate.

Execute

Press the Execute button to send the command - the response will be displayed.

Close

Press the Close button to return to the Analogue dialogue box.